<?php
/**
 * @package WordPress
 * @subpackage Classic_Theme
 */
get_header();
?>

<main>
    <?php if (is_home() || is_front_page()) : ?>
        <div class="post-title-wrapper">
            <h1><?php bloginfo('name'); ?></h1>
        </div>
    <?php endif; ?>

    <?php if (have_posts()) : while (have_posts()) : the_post(); ?>
    <div <?php post_class() ?> id="post-<?php the_ID(); ?>">
        <?php if (is_single()) : ?>
            <div class="post-title-wrapper">
                <h1><?php the_title(); ?></h1>
            </div>
        <?php endif; ?>

        <?php if (is_home() || is_category() || is_tag()) : ?>
            <h2 class="storytitle"><a href="<?php the_permalink(); ?>" rel="bookmark"><?php the_title(); ?></a></h2>
        <?php endif; ?>
        
        <p><?php the_date(); ?></p>
        <!--<div class="meta"><?php _e("Filed under:"); ?> <?php the_category(',') ?> &#8212; <?php the_tags(__('Tags: '), ', ', ' &#8212; '); ?> <?php the_author() ?> @ <?php the_time() ?> <?php edit_post_link(__('Edit This')); ?></div>-->

        <div class="storycontent">
            <?php the_content(__('(more...)')); ?>
        </div>
    </div>

    <?php endwhile; else: ?>
    <p><?php _e('Sorry, no posts matched your criteria.'); ?></p>
    <?php endif; ?>

    <div class="navigation">
        <?php if (is_home() || is_front_page()) : ?>
            <?php posts_nav_link(' &#8212; ', __('&laquo; Newer Posts'), __('Older Posts &raquo;')); ?>
        <?php elseif (is_single()) : ?>
            <div class="nav-previous"><?php previous_post_link('%link', __('&laquo; Previous Post')); ?></div>
            <div class="nav-next"><?php next_post_link('%link', __('Next Post &raquo;')); ?></div>
        <?php endif; ?>
    </div>
</main>

<?php get_footer(); ?>
